package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabAccessReady;

import java.util.List;

/**
 * <p>
 * 接入基本准备表 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-10
 */
public interface ITabAccessReadyService extends IService<TabAccessReady> {

    AjaxResult getTabAccessAndReadyById(Long id);

    AjaxResult insertTabAccessReady(TabAccessReady tabAccessReady);

    AjaxResult updateTabAccessReadyById(TabAccessReady tabAccessReady);

    AjaxResult falseDeleteTabAccessAndReadyById(Long id);

    List<TabAccessReady> list(TabAccessReady tabAccessReady);

    AjaxResult updateStatusById(TabAccessReady tabAccessReady);

}
